Subject: Re: [Gen-art] Gen-ART Review of draft-ietf-ccamp-gmpls-g709-framework-14

From: Jari Arkko <[email-masked]>
Date: Thu, 12 Sep 2013 18:17:48 +0800

Thank you very much for the review, Russ. And thank you Adrian for the clarification. Russ, are you happy with this explanation?

Jari

On Aug 24, 2013, at 3:38 PM, Adrian Farrel <[email-masked]> wrote:

> Thanks Russ!
> 
>> Minor Concerns:
>> 
>> In section 3, there is a discussion that includes ODU0, ODU2e, and ODU4,
>> but these terms are not defined in the paragraph or in the terminology
>> section.  I realize that these are ODUj values, but ODUflex is an ODUj,
>> and it is included in the terminology section.
> 
> I think these are covered in the Terminology section in the two paragraphs 
> 
>   LO ODU: Lower Order ODU. The LO ODUj (j can be 0, 1, 2, 2e, 3, 4,
>   flex.) represents the container transporting a client of the OTN that
>   is either directly mapped into an OTUk (k = j) or multiplexed into a
>   server HO ODUk (k > j) container.
> 
>   HO ODU: Higher Order ODU. The HO ODUk (k can be 1, 2, 2e, 3, 4.)
>   represents the entity transporting a multiplex of LO ODUj tributary
>   signals in its OPUk area.
> 
> For ease of searching, I suppose this could read
> 
> OLD
> (j can be 0, 1, 2, 2e, 3, 4, flex.)
> NEW
> (j can be 0, 1, 2, 2e, 3, 4, flex yielding ODU0, ODU1, ODU2e, ODU3, ODU4, and
> ODUflex)
> END
> 
> Seems a bit excessive, but if it would help the reader.
> 
>> In section 3.1, OCh needs to be defined or at least expanded.
> 
> OCh is found in the last paragraph of Section 1
> 
>   For the purposes of the control plane the OTN can be considered as
>   being comprised of ODU and wavelength (Optical Channel (OCh)) layers.
>   This document focuses on the control of the ODU layer, with control
>   of the wavelength layer considered out of the scope. Please refer to
>   [RFC6163] for further information about the wavelength layer.
> 
>> In section3.1.2.1, please expand MSI on first use.
> 
> MSI is in the terminology section 
> 
>   MSI: Multiplex Structure Identifier
> 
>> Editorial:
>> 
>> In section 8: s/not requests/no requests/
> 
> Yes.
> 
> Cheers,
> Adrian
>

---

From: Jari Arkko <[email-masked]>
Date: Thu, 12 Sep 2013 18:32:44 +0800

I'm reading the document now myself .

>> Seems a bit excessive, but if it would help the reader.

Actually, my problem was that the terminology section talks about LO ODUj while Section 3 just uses ODUj. Does this mean LO ODUj, HO ODUj, or either one? Can you clarify?

Jari

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 12 Sep 2013 15:38:12 +0100

Hello,

You said...

> Actually, my problem was that the terminology section talks about LO ODUj
while
> Section 3 just uses ODUj. Does this mean LO ODUj, HO ODUj, or either one? Can
> you clarify?

The document has tried to be careful to use ODUj when describing LO and ODUk
when talking about HO. There is a slight ambiguity when (as shown in Figure 1)
only one container level of ODU is used: is this LO or HO? :-).  The feeling is
that this is LO and so ODUj is used.

A

> -----Original Message-----
> From: Jari Arkko [mailto:[email-masked]]
> Sent: 12 September 2013 11:33
> To: [email-masked]
> Cc: 'Russ Housley'; [email-masked];
> 'IETF Gen-ART'; 'IESG'
> Subject: Re: Gen-ART Review of draft-ietf-ccamp-gmpls-g709-framework-14
> 
> Actually, my problem was that the terminology section talks about LO ODUj
while
> Section 3 just uses ODUj. Does this mean LO ODUj, HO ODUj, or either one? Can
> you clarify?
> 
> Jari